<?php

namespace App\Mail;

use App\Models\Task;
use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Queue\SerializesModels;
use Illuminate\Mail\Mailables\Envelope;

class Reports extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */

    public $user;
    public $task;
    public $user_to_receive_email;

    public function __construct($user, $task, $user_to_receive_email)
    {
        $this->user = $user;
        $this->task = $task;
        $this->user_to_receive_email = $user_to_receive_email;
    }

    /**
     * Get the message envelope.
     *
     * @return \Illuminate\Mail\Mailables\Envelope
     */
    public function envelope()
    {
        return new Envelope(
            subject: 'Reports',
        );
    }

    /**
     * Get the message content definition.
     *
     * @return \Illuminate\Mail\Mailables\Content
     */
    public function content()
    {
        // $url = route('login');

        return new Content(
            view: 'emails.reports',
            with: [
                'user' => $this->user,
                'task' => $this->task,
                'user_to_receive_email' => $this->user_to_receive_email,
                //     'url' => $url,
            ],
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array
     */
    public function attachments()
    {
        $location = storage_path('app/reports/report.xlsx');
        return [
            'report.xlsx' => $location,
        ];
    }
}
