<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class ResetPasswordNotification extends Notification
{
    use Queueable;

    public $token;

    public function __construct($token, $default_lang)
    {
        $this->token = $token;
        $this->default_lang = $default_lang;

        
    }

    public function via($notifiable)
    {
        return ['mail'];
    }

    public function toMail($notifiable)
    {
        $url = url(route('password.reset', [
            'token' => $this->token,
            'email' => $notifiable->getEmailForPasswordReset(),
        ], false));

        return (new MailMessage)->view(
            'emails.reset_password',
            ['url' => $url,
            'default_lang' => $this->default_lang]
        );
    }

    public function toArray($notifiable)
    {
        return [
            //
        ];
    }
}
