<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mnav_logs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->longText('message');
            $table->longText('context');
            $table->string('level')->index();
            $table->string('level_name');
            $table->string('channel')->index();

            $table->string('record_datetime');
            $table->longText('extra');
            $table->longText('formatted');    // Additional custom fields I

            $table->string('remote_addr')->nullable();
            $table->string('user_agent')->nullable();
            $table->integer('created_by')->nullable()->index();
            $table->dateTime('created_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mnav_logs');
    }
};
