<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;


class RolesAndPermissionsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[\Spatie\Permission\PermissionRegistrar::class]->forgetCachedPermissions();

        // create permissions
        Permission::create(['name' => 'Create User']);
        Permission::create(['name' => 'Edit User']);
        Permission::create(['name' => 'Update User']);
        Permission::create(['name' => 'Delete User']);

        Permission::create(['name' => 'Read Task']);
        Permission::create(['name' => 'Create Task']);
        Permission::create(['name' => 'Edit Task']);
        Permission::create(['name' => 'Update Task']);
        Permission::create(['name' => 'Delete Task']);
        Permission::create(['name' => 'Supervisor Task']);
        Permission::create(['name' => 'Publish Task']);
        Permission::create(['name' => 'Unpublish Task']);


        // create roles and assign created permissions

        // gets all permissions vie Gate::before rule in AuthServiceProvider
        $admin_role = Role::create(['name' => 'Admin']);


        // supervisor roles and permissions
        $supervisor_role = Role::create(['name' => 'Supervisor'])
            ->givePermissionTo([
                'Supervisor Task',
                'Read Task'
            ]);

        // user roles and permissions
        $user_role = Role::create(['name' => 'User']);
        $user_role->givePermissionTo([
            'Read Task'
        ]);
    }
}
