<div>
    @include('components.notifications.success_message')
    @include('components.notifications.danger_message')

    <div class="sm:tw-flex sm:tw-items-center">
        <div class="sm:tw-flex-auto">
            <h1 class="tw-text-xl tw-font-semibold tw-text-gray-900">{{ __('messages.Users Export List') }}</h1>
            <span class="text-sm">* @lang('messages.Please select users to generate your export list')</span>
        </div>
        <div class="tw-mt-4 sm:tw-mt-0 sm:tw-ml-16 sm:tw-flex-none">

            <button wire:click="export('csv')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800">
                CSV
            </button>

            <button wire:click="export('xlsx')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="focus:outline-none text-white bg-green-700 hover:bg-green-800 focus:ring-4 focus:ring-green-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800">
                XLS
            </button>
            <button wire:click="export('pdf')"
                    wire:loading.attr="disabled"
                    type="button"
                    class="text-white bg-gray-800 hover:bg-gray-900 focus:outline-none focus:ring-4 focus:ring-gray-300 font-medium rounded-lg text-sm px-5 py-2.5 mr-2 mb-2 dark:bg-gray-500 dark:hover:bg-gray-600 dark:focus:ring-gray-400 dark:border-gray-700">
                PDF
            </button>
        </div>
    </div>
    <div class="flex m-1">
        <label for="table-search" class="sr-only">Search</label>
        <div class="relative">
            <div class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none">
                <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
            </div>
            <input
                wire:model="search"
                type="search" placeholder="{{ __('messages.Search users') }}"
                type="text"
                id="table-search"
                class="w-80 py-2 pl-10 pr-2 text-sm text-gray-700 placeholder-gray-500 bg-gray-100 border-0 rounded-md dark:placeholder-gray-400 dark:focus:shadow-outline-gray dark:focus:placeholder-gray-600 dark:bg-gray-700 dark:text-gray-200 focus:placeholder-gray-500 focus:bg-white focus:border-purple-300 focus:outline-none focus:shadow-outline-purple form-input"
                placeholder="Search for user"
            >
            @if(count($this->selectedUsers)>0)
                <div class="flex w-full group px-4 sm:p-6">
                    <h3 class="font-semibold text-gray-900 dark:text-white">{{ __('messages.Selected Users') }} : {{ count($this->selectedUsers)>0 ? count($this->selectedUsers) : "0"  }}</h3>
                    <button x-on:click="$wire.clear_all_fields()"
                            class="ml-5 px-2 py-1 font-semibold text-sm bg-gray-500 text-white rounded-full shadow-sm">@lang('messages.Clear Selected Users')
                    </button>
                </div>
            @endif
        </div>
    </div>
    <h2>{{ __('messages.Users that have read all the documents') }}</h2>
    <div x-data="AlpineSelect()">
        <div id="accordion-collapse" data-accordion="open" class="overflow-x-auto">

            <div class="inline">
                <div class="flex justify-start w-full overflow-x-auto p-5 rounded-t-lg font-medium bg-green-300 text-gray-900 hover:bg-green-400 text-left border border-b-0 border-gray-200 focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-800 dark:border-gray-700 dark:bg-green-900 dark:text-white dark:hover:bg-green-800">
                    <input
                        wire:model="selectAllRead"
                        name="selectAllRead"
                        x-on:click="$wire.toggleAllCheckboxes()"
                        type="checkbox"
                        class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                    >
                </div>
            </div>


            @foreach ($dump_users_read_all as $key => $user)
                <div class="inline">
                    <h2 id="accordion-collapse-heading-read-{{ $key }}">
                        <button type="button" class="flex justify-start w-full overflow-x-auto p-5 rounded-t-lg font-medium bg-green-300 text-gray-900 hover:bg-green-400 text-left border border-b-0 border-gray-200 focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-800 dark:border-gray-700 dark:bg-green-900 dark:text-white dark:hover:bg-green-800" data-accordion-target="#accordion-collapse-body-read-{{ $key }}" aria-expanded="false" aria-controls="accordion-collapse-body-read-{{ $key }}">
                            <div class="w-12">
                                <input
{{--                                    x-bind:checked="selectAllRead"--}}
                                    wire:model="selectedUsers"
                                    wire:key="{{ $user->id }}"
                                    x-on:click="$wire.checkSelectAll('read')"
                                    {{ $selectAll==true ? "checked" : "" }}
                                    name="user_id"
                                    value="{{ $user->id }}"
                                    type="checkbox" class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                                    >
                            </div>
                            <span class="w-96">{{ $user->getCredentials() }}</span>
                            <span class="w-96">{{ $user->username }}</span>
                            <span class="w-96">{{ $user->email }}</span>
                            @isset($user->roles)
                                <span class="w-1/3">
                                    @foreach ($user->roles as $role)
                                        {{ $role->name }}
                                        @if(!$loop->last){{ "," }}@endif
                                    @endforeach
                                </span>
                            @endisset
                            <svg data-accordion-icon class="w-6 h-6 rotate-180 shrink-0" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                        </button>
                    </h2>
                    <div id="accordion-collapse-body-read-{{ $key }}" class="hidden" aria-labelledby="accordion-collapse-heading-read-{{ $key }}">
                        <div class="p-5 font-light border border-b-0 border-gray-200 dark:border-gray-700 dark:bg-gray-900">
                            @foreach ($task->documents as $document)
                                @php
                                    $task_completed = App\Helpers\DocumentHelper::getUserTask($task->id, $user->id)->completed;
                                @endphp
                                <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
                                    <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                                        <thead class="text-xs text-gray-700 uppercase dark:text-gray-400">
                                        <tr>
                                            <th scope="col" class="px-6 py-3 w-1/2 bg-gray-50 dark:bg-gray-800">
                                                {{ __('messages.Document name') }}
                                            </th>
                                            <th scope="col" class="px-6 py-1 w-48 text-center">
                                                {{ __('messages.Status') }}
                                            </th>
                                            <th scope="col" class="px-6 py-1 w-64 text-center bg-gray-50 dark:bg-gray-800">
                                                {{ __('messages.Date') }}
                                            </th>
                                            @unless($task_completed)
                                                <th scope="col" class="px-6 py-1 text-center">
                                                    {{ __('messages.Send Notification') }}
                                                </th>
                                            @endunless
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr class="border-b border-gray-200 dark:border-gray-700">
                                            <th scope="row" class="px-6 py-1 font-medium text-gray-900 whitespace-nowrap bg-gray-50 dark:text-white dark:bg-gray-800">
                                                <a  href="{{ asset('storage/files/tasks/'. $task->id . '/' . $document->name) }}"
                                                    download
                                                    class="text-blue-600 hover:text-blue-800 hover:underline dark:text-blue-400 dark:hover:text-blue-300"
                                                    target="_blank"
                                                    title="{{ $document->name }}"
                                                    >
                                                    {{ $document->name }}
                                                </a>
                                            </th>
                                            <td class="px-6 py-1 text-center">
                                                @if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true )
                                                    <span class="bg-green-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-700 dark:text-white">
                                                        {{ __('messages.Read') }}
                                                    </span>
                                                @else
                                                    <span class="bg-red-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-red-700 dark:text-white">
                                                        {{ __('messages.Not read') }}
                                                    </span>
                                                @endif
                                            </td>
                                            <td class="px-6 py-1 text-center font-semibold bg-gray-50 dark:bg-gray-800">
                                                @if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true )
                                                    {{ \Carbon\Carbon::parse(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->opened_at)->format("H:i:s d/m/Y") }}
                                                @else
                                                    /
                                                @endif
                                            </td>

                                        </tr>
                                        </tbody>
                                    </table>
                                </div>

                            @endforeach
                        </div>
                    </div>
                </div>

            @endforeach
        </div>
    </div>
        <div class="w-full items-center bg-center text-center">
            {{ $dump_users_read_all->links('pagination::tailwind') }}
        </div>
<br>
<br>
<br>

    <h2>{{ __('messages.Users that have not read all the documents') }}</h2>
    <div  x-data="AlpineSelect()">
        <div id="accordion-collapse" data-accordion="open">

            <div class="inline">
                <div class="flex justify-start w-full overflow-x-auto p-5 rounded-t-lg font-medium bg-red-300 text-gray-900 hover:bg-red-400 text-left border border-b-0 border-gray-200 focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-800 dark:border-gray-700 dark:bg-red-900 dark:text-white dark:hover:bg-red-800">
                    <input
                        wire:model="selectAllNotRead"
                        name="selectAllNotRead"
                        x-on:click="$wire.toggleAllCheckboxes()"
                        type="checkbox"
                        class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                    >
                </div>
            </div>


            @foreach ($dump_users_not_read as $key => $user)
                <div class="inline">
                    <h2 id="accordion-collapse-heading-{{ $key }}">
                        <button type="button" class="flex justify-start w-full overflow-x-auto p-5 rounded-t-lg font-medium bg-red-300 text-gray-900 hover:bg-red-400 text-left border border-b-0 border-gray-200 focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-800 dark:border-gray-700 dark:bg-red-900 dark:text-white dark:hover:bg-red-800" data-accordion-target="#accordion-collapse-body-{{ $key }}" aria-expanded="false" aria-controls="accordion-collapse-body-{{ $key }}">
                            <div class="w-12">
                                <input
{{--                                    x-bind:checked="selectAllNotRead"--}}
                                    wire:model="selectedUsers"
                                    wire:key="{{ $user->id }}"
                                    x-on:click="$wire.checkSelectAll('not_read')"
                                    {{ $selectAll==true ? "checked" : "" }}
                                    name="user_id"
                                    value="{{ $user->id }}"
                                    type="checkbox"
                                    class="w-4 h-4 text-blue-600 bg-gray-100 rounded border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
                                    >
                            </div>
                            <span class="w-96">{{ $user->getCredentials() }}</span>
                            <span class="w-96">{{ $user->username }}</span>
                            <span class="w-96">{{ $user->email }}</span>
                            @isset($user->roles)
                                <span class="w-1/3">
                                    @foreach ($user->roles as $role)
                                            {{ $role->name }}
                                        @if(!$loop->last){{ "," }}@endif
                                    @endforeach
                                </span>
                            @endisset
                            <svg data-accordion-icon class="w-6 h-6 rotate-180 shrink-0" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                        </button>
                    </h2>
                    <div id="accordion-collapse-body-{{ $key }}" class="hidden" aria-labelledby="accordion-collapse-heading-{{ $key }}">
                        <div class="p-5 font-light border border-b-0 border-gray-200 dark:border-gray-700 dark:bg-gray-900">

                            @foreach ($task->documents as $document)
                                <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
                                    <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                                        <thead class="text-xs text-gray-700 uppercase dark:text-gray-400">
                                        <tr>
                                            <th scope="col" class="px-6 py-3 w-1/2 bg-gray-50 dark:bg-gray-800">
                                                {{ __('messages.Document name') }}
                                            </th>
                                            <th scope="col" class="px-6 py-1 w-48 text-center">
                                                {{ __('messages.Status') }}
                                            </th>
                                            <th scope="col" class="px-6 py-1 w-64 text-center bg-gray-50 dark:bg-gray-800">
                                                {{ __('messages.Date') }}
                                            </th>
                                            <th scope="col" class="px-6 py-1 text-center">
                                                {{ __('messages.Send Notification') }}
                                            </th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr class="border-b border-gray-200 dark:border-gray-700">
                                            <th scope="row" class="px-6 py-1 font-medium text-gray-900 whitespace-nowrap bg-gray-50 dark:text-white dark:bg-gray-800">
                                                <a  href="{{ asset('storage/files/tasks/'. $task->id . '/' . $document->name) }}"
                                                    download
                                                    class="text-blue-600 hover:text-blue-800 hover:underline dark:text-blue-400 dark:hover:text-blue-300"
                                                    target="_blank"
                                                    title="{{ $document->name }}"
                                                    >
                                                    {{ $document->name }}
                                                </a>
                                            </th>
                                            <td class="px-6 py-1 text-center">
                                               @if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true )
                                                    <span class="bg-green-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-green-700 dark:text-white">
                                                        {{ __('messages.Read') }}
                                                    </span>
                                                @else
                                                    <span class="bg-red-300 text-gray-900 text-sm font-medium mr-2 px-2.5 py-0.5 rounded dark:bg-red-700 dark:text-white">
                                                        {{ __('messages.Not read') }}
                                                    </span>
                                                @endif
                                            </td>
                                            <td class="px-6 py-1 text-center font-semibold bg-gray-50 dark:bg-gray-800">
                                                @if(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->is_read == true )
                                                    {{ \Carbon\Carbon::parse(App\Helpers\DocumentHelper::getUserTaskDocument($task->id, $user->id, $document->id)->opened_at)->format("H:i:s d/m/Y") }}
                                                @else
                                                    /
                                                @endif
                                            </td>
                                            <td class="px-6 py-1 text-center">
                                                <button wire:click="openUsersModal({{ $user }})"
{{--                                                        data-modal-toggle="send_notification-modal"--}}
                                                        type="button"
                                                        class="text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm px-5 py-2.5 text-center mr-2 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                                                    {{ __('messages.Send') }}
                                                </button>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>

                            @endforeach
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>

        <div class="w-full items-center bg-center text-center">
            {{ $dump_users_not_read->links('pagination::tailwind') }}
        </div>

    @if($isOpen)
        @include('livewire.modals.notification_modal')
    @endif

@push('scripts')
    <script>

        function AlpineSelect(){
            return {
                selectAllNotRead: false,
                selectAllRead: false,
            };
        }
    </script>
@endpush
</div>
