<div x-data="{
    show: @entangle('showModal')
  }" x-show="show" x-cloak>

<div class="fixed z-10 inset-0" aria-labelledby="modal-title" role="dialog" aria-modal="true">
  <div class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0">

    <div class="absolute inset-0 bg-gray-500 opacity-75"></div>

    <!-- This element is to trick the browser into centering the modal contents. -->
    <span class="hidden sm:inline-block sm:align-middle sm:h-screen" aria-hidden="true">&#8203;</span>

    <div class="inline-block align-bottom bg-white rounded-lg text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-lg sm:w-full">
      <div class="bg-white dark:bg-gray-800 dark:text-gray-400 px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
        <div class="sm:flex md:items-center sm:items-start">
          <div class="mx-auto flex-shrink-0 flex items-center justify-center h-12 w-12 rounded-full bg-green-100 sm:mx-0 sm:h-10 sm:w-10">
            <!-- Heroicon name: outline/exclamation -->
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M20.822 18.096c-3.439-.794-6.641-1.49-5.09-4.418 4.719-8.912 1.251-13.678-3.732-13.678-5.081 0-8.464 4.949-3.732 13.678 1.597 2.945-1.725 3.641-5.09 4.418-2.979.688-3.178 2.143-3.178 4.663l.005 1.241h10.483l.704-3h1.615l.704 3h10.483l.005-1.241c.001-2.52-.198-3.975-3.177-4.663zm-8.231 1.904h-1.164l-.91-2h2.994l-.92 2z"/></svg>
          </div>
          <div class="mt-3 text-center sm:mt-0 sm:ml-4 sm:text-left">
            <h3 class="text-lg leading-6 font-medium text-gray-900 dark:text-gray-300" id="modal-title">
              {{ __('messages.Role') }} {{isset($role) ? $role->name : ''}}
            </h3>
          </div>
        </div>
        <!--Attached Permissions-->
        <div>
          <div class="text-indigo-500 mt-5 mb-2 font-semibold">
            {{ __('messages.Permissions Attached with this role') }}
          </div>
          @if(!empty($permissions))
           <div class="flex flex-wrap">
            @forelse($permissions as $permission)
            <span class="px-2 py-1 mr-1 my-1 font-semibold leading-tight text-green-700 bg-green-100 rounded-full dark:bg-green-700 dark:text-green-100">
                {{ $permission->name }}
            </span>
            @empty
                <em>{{ __('messages.none') }}</em>
            @endforelse
            </div>
           @endif
        </div>


      </div>
      <div class="bg-white dark:bg-gray-800 px-4 py-3 sm:px-6 sm:flex sm:flex-row-reverse">
        <button x-on:click="show = false" type="button" class="mt-3 w-full inline-flex justify-center rounded-md border border-gray-300 shadow-sm px-4 py-2 bg-white dark:bg-gray-700 dark:text-gray-200 text-base font-medium text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 sm:mt-0 sm:ml-3 sm:w-auto sm:text-sm">
          {{ __('messages.Close') }}
        </button>
      </div>
    </div>
  </div>
</div>
