<div class="py-2">
    @include('components.notifications.success_message')

    <div class="w-1/2">

        <ul class="border border-gray-200 dark:border-gray-500 rounded text-gray-900 bg-blue-100 dark:text-gray-100 dark:bg-gray-600 divide-y divide-gray-200 dark:divide-gray-500">
            <li class="p-4 flex justify-between items-center">
            <span class="font-semibold text-sm mr-1">{{ $task->title }}</span>
            </li>
            <li class="p-4 flex justify-between items-center">
            <span class="font-semibold text-sm mr-1">{{ __('task.due_date') }}</span>
            <span class="text-emerald-600 dark:text-emerald-400 text-sm font-semibold">{{ $task->due_date }}</span>
            </li>
            <li class="p-4 flex justify-between items-center">
            <span class="font-semibold text-sm mr-1">{{ __('task.number_of_docs') }}</span>
            <span class="text-emerald-600 dark:text-emerald-400 text-sm font-semibold">{{ $task->documents->count() }}</span>
            </li>
        </ul>

    <div class="">
        @foreach ($task_documents as $document)
        <div class="text-gray-900 bg-white dark:text-gray-400 dark:bg-gray-700 shadow-md space-y-8 md:space-y-0 md:space-x-8 md:flex md:items-center">
            <div class="flex justify-center items-center w-full h-24 rounded sm:w-96 dark:bg-gray-700">
                @php
                    $pic = App\Helpers\DocumentHelper::doc_type($document->document->name);
                @endphp
                <a target="_blank" href="{{ asset('storage/files/tasks/'. $document->task->id . '/' . $document->document->name) }}" download>
                    <img src="{{ asset('images/' . $pic) }}" class="w-16 h-18" alt="">
                    <span class="text-blue-600 dark:text-blue-400 hover:underline">@lang('Download')</span>
                </a>
            </div>
            <div class="w-full">
                <p>{{ $document->document->name }}</p>
                @if ($document->is_read == true)
                {{ __('task.read_at') }}: {{ $document->opened_at }}
                @else
                <button wire:click="get_document({{ $document->id }})"
                    type="button" class="text-white bg-gradient-to-r from-green-400 via-green-500 to-green-600 hover:bg-gradient-to-br focus:ring-4 focus:outline-none focus:ring-green-300 dark:focus:ring-green-800 font-medium rounded-lg text-sm px-6 py-2.5 text-center mr-2 mb-2">
                    {{ __('task.mark_as_read') }}
                </button>
                @endif
            </div>
        </div>
        @endforeach
    </div>

    @if($is_open)
        @include('livewire.tasks.modal')
    @endif
</div>
