<div>
    <div class="flex flex-col mt-4">
        @include('components.notifications.notification_message')

        <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
            <div class="flex items-center pb-4">
                <div class="flex m-1">
                    <label for="table-search" class="sr-only">Search</label>
                    <div class="relative">
                        <div class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none">
                            <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
                        </div>
                        <input
                            wire:model="search"
                            type="search" placeholder="{{ __('messages.Search users') }}"
                            type="text"
                            id="table-search"
                            class="w-80 py-2 pl-10 pr-2 text-sm text-gray-700 placeholder-gray-500 bg-gray-100 border-0 rounded-md dark:placeholder-gray-400 dark:focus:shadow-outline-gray dark:focus:placeholder-gray-600 dark:bg-gray-700 dark:text-gray-200 focus:placeholder-gray-500 focus:bg-white focus:border-purple-300 focus:outline-none focus:shadow-outline-purple form-input"
                            placeholder="Search for user"
                            >
                    </div>
                    <div class="ml-12 w-64">
                        <select
                            wire:model="role"
                            placeholder="{{ __('messages.Select Role') }}..."
                            autocomplete="off"
                            {{-- class="block w-full rounded-sm cursor-pointer focus:outline-none" --}}
                            class="inline-flex items-center w-full text-gray-500 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-sm px-3 py-1.5 dark:bg-gray-700 dark:text-white dark:border-gray-600 dark:hover:bg-gray-600 dark:hover:border-gray-600 dark:focus:ring-gray-700"
                            >
                            <option value="">{{ __('messages.Select Role') }}</option>
                            @foreach ($roles as $role)
                                <option value="{{$role->name}}">{{$role->name}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-3">
                            {{ __('messages.FullName') }}
                        </th>
                        <th scope="col" class="px-6 py-3">
                            {{ __('messages.Username') }}
                        </th>
                        <th scope="col" class="px-6 py-3">
                            {{ __('messages.Email') }}
                        </th>
                        <th scope="col" class="px-6 py-3">
                            {{ __('messages.Roles') }}
                        </th>
                        <th scope="col" class="px-6 py-3 text-center">
                            {{ __('messages.Actions') }}
                        </th>
                    </tr>
                </thead>
                <tbody>
                @foreach ($users as $user)
                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600">
                        <th scope="row" class="px-6 py-1 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                            {{ $user->userData->full_name }}
                        </th>
                        <th scope="row" class="px-6 py-1 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                            {{ $user->username }}
                        </th>
                        <td class="px-6 py-1">
                            {{ $user->email }}
                        </td>
                        <td class="px-6 py-1">
                            @foreach ($user->roles as $roles)
                                <span
                                    class="inline-flex px-2 text-sm font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
                                    {{ $roles->name }}
                                </span>
                            @endforeach
                        </td>
                        @can('manage users')
                        <td class="text-center px-6 py-1">
                            <div class="inline-flex">
                                @include('components.modals.restore-modal', ['value' => $user->id, 'name' => $user->username])
                            </div>
                            <div class="inline-flex">
                                @include('components.modals.delete-modal', ['value' => $user->id, 'name' => $user->username])
                            </div>
                        </td>
                        @endcan
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="col-md-12">
                {{ $users->links('pagination::tailwind') }}
            </div>
        </div>
    </div>
</div>
